///////////////////////////////////////////////////////////////////////////////
//                                                                           //
//  Notice to licensees:                                                     //
//                                                                           //
//  This source code is the exclusive, proprietary intellectual property of  //
//  Sharkysoft (sharkysoft.com).  You may view this source code as a         //
//  supplement to other product documentation, but you may not distribute    //
//  it or use it for any other purpose without written consent from          //
//  Sharkysoft.                                                              //
//                                                                           //
//  You are permitted to modify and recompile this source code, but you may  //
//  not remove this notice.  If you add features to or fix errors in this    //
//  code, please consider sharing your changes with Sharkysoft for possible  //
//  incorporation into future releases of the product.  Thanks!              //
//                                                                           //
//  For more information about Sharkysoft products and services, please      //
//  visit Sharkysoft on the web at                                           //
//                                                                           //
//       http://sharkysoft.com/                                              //
//                                                                           //
//  Thank you for using Lava!                                                //
//                                                                           //
///////////////////////////////////////////////////////////////////////////////



package lava.riff.wave;



import lava.util.IComparator;



class SamplePositionComparator
	implements IComparator
{



	public static final SamplePositionComparator static_instance = new SamplePositionComparator ();



	public int compare (Object o1, Object o2)
	{
		long p1 = ((WaveCuePoint) o1) . dwPosition;
		long p2 = ((WaveCuePoint) o2) . dwPosition;
		if (p1 < p2)
			return -1;
		if (p1 > p2)
			return +1;
		return 0;
	}



}



